Subject: Re: bug#66287: Emacs cannot build by default (macOS)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Oct 2023 08:27:09 +0300

tags 66287 notabug
thanks

> Date: Sat, 30 Sep 2023 16:46:29 -0700
> From: asocial-hired.0l--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Here is what I ran:
> 
> export CC=clang
> ./autogen.sh
> ./configure [options]
> make
> 
> And I get:
> 
> ———— Start ————
> 
> Warning (emacs): Org version mismatch.  Org loading aborted.
> This warning usually appears when a built-in Org version is loaded
> prior to the more recent Org version.
> 
> In the past, I’ve built with no issues. I recently upgraded to MacOS 14 and am building to get rid of
> issue from bug 66245. Running ‘make bootstrap’ caused it to build correctly.

You need to remove all the *.elc files in lisp/org/, and say "make
again.

This is not a bug.